(require 'ru_phoneset)
(require 'ru_lexicon)
(require 'ru_tagger)
(require 'ru_tokenizer)
(require 'ru_phrasing)

(define (ru::init)
  (ru::select_phoneset)
  (ru::select_tokenizer)
  (ru::select_lexicon)
  (ru::select_tagger)
  (ru::select_phrasing)
  (Parameter.set 'Int_Method 'Default)
  (Parameter.set 'Int_Target_Method Int_Targets_Default)
  (Parameter.set 'Duration_Method 'Default)
  (Param.set 'Synth_Method 'None)
  (set! before_synth_hooks nil)
  (set! after_synth_hooks nil))

(define (ru::reset)
  (ru::reset_phoneset)
  (ru::reset_tokenizer)
  (ru::reset_lexicon)
  (ru::reset_tagger)
  (ru::reset_phrasing))

(provide 'russian)
